MEMPOOL_DESTROY(9)

NAME
mempool_destroy - deallocate a memory pool

SYNOPSIS

void mempool_destroy (mempool_t * pool);

ARGUMENTS

pool
    pointer to the memory pool which was allocated via mempool_create.

DESCRIPTION

this function only sleeps if the free_fn function sleeps. The caller has to guarantee that all elements have been returned to the pool (ie: freed) prior to calling mempool_destroy.